@media screen and (max-width: 1400px){
    #profile {
        height: 83vh;
        margin-bottom: 6rem;
    }
    .about-containers{
        flex-wrap: wrap;
    }
}



@media screen and (max-width: 1200px) {
    #desktop-nav {
        display: none;
    }
    #hamburger-nav{
        display: flex;
    }
    #experience, .experience-details-container{
        margin-top: 2rem;
    }
    #profile, .section-container{
        display: block;
    }
    .arrow{
        display: none;
    }
    section, .section-container{
        height: fit-content;
    }
    section{
        margin: 0 5%;
    }

    .section__pic__container{
        width: 275px;
        height: 275px;
        margin: 0 auto 2rem;
    }
    .about-containers{
        margin-top: 0;
    }
}

@media screen and (max-width: 600px) {
#contact, footer{
    height: 40vh;
}

#profile{
    height: 83vh;
    margin-bottom: 0;
}

article{
    font-size: 1rem;
}

footer nav {
    height: fit-content;
    margin-bottom: 2rem;
}

.about-containers, .contact-info-upper-container, .btn-container{
    flex-wrap: wrap;
}

.contact-info-container{
    margin: 0;
}

.contact-info-container p, .nav-links li a {
    font-size: 1rem;
}

.experience-sub-title{
    font-size: 1.25rem;
}

.logo{
    font-size: 1.5rem;
}

.nav-links{
    flex-direction: column;
    gap: 0.5rem;
    text-align: center;
}

.section__pic__container{
    width: auto;
    height: 46vw;
    justify-content: center;
}

.section__text__p2{
    font-size: 1.25rem;
}
.title{
    font-size: 2rem;
}
.text_container{
    text-align: justify;
}
}

@media screen and (max-width: 600px) {
    /* Adjust padding and margin to create space */
    #profile {
        padding-bottom: 4rem; /* Add padding to create space at the bottom */
        margin-bottom: 2rem; /* Add margin at the bottom to separate from the next section */
    }

    .btn-container {
        margin-top: 1rem; /* Add margin to separate buttons from the text */
    }

    #socials-container {
        margin-top: 1rem; /* Add margin to separate social media icons from the text */
        display: flex;
        justify-content: center; /* Center align the social media icons */
    }

    /* Adjust size and spacing of social media icons */
    #socials-container .icon {
        width: 32px; /* Adjust width of social media icons */
        height: 32px; /* Adjust height of social media icons */
        margin: 0 0.5rem; /* Add margin between social media icons */
    }

    /* Adjust size of buttons */
    .btn {
        padding: 0.5rem 1rem; /* Adjust padding of buttons */
        font-size: 1rem; /* Adjust font size of buttons */
    }
}